textures/stronghold/stronghold_sky
{
	qer_editorimage textures/skies/sky_4.tga
	q3map_lightimage textures/skies/n_blue.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	q3map_globaltexture
	q3map_lightsubdivide 2048
//	q3map_sun	1.0 0.8 0.6 130 220 50
//	q3map_sun	1.0 1.0 1.0 30 310 50
	q3map_sun	1.0 1.0 1.0 30 310 80
	q3map_surfacelight 25							

	fogvars ( .3 .3 .38 ) .000065
//	fogvars ( .3 .3 .305 ) .000095
//	skyfogvars ( .23 .23 .24 ) .1

	skyparms full 200 -
	
	{
//		map textures/skies/dimclouds.tga
//		map textures/skies/newclouds.tga
//		map textures/skies/newclouds.jpg
		map textures/stronghold/stronghold_clouds.tga
		tcMod scroll -0.001 -0.003
		tcMod scale 6 6
		depthWrite
	}

	{
		map textures/skies/vil_clouds1.tga
//		map textures/skies/assa_clouds1.tga
		blendfunc blend
		tcMod scroll 0.0005 0.00
		tcMod scale 2 1
	}

}


textures/stronghold/moat_water
{
		qer_editorimage textures/liquids/pool3d_3c.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable
		
		nofog
		{ 
		fog on
			map textures/liquids/pool3d_5c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
		fog on
			map textures/liquids/pool3d_6c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}


textures/stronghold/hitler
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stronghold/hitler.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/stronghold/locker_side
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stronghold/locker_side.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
	
textures/stronghold/wine_top
{
	qer_editorimage textures/stronghold/wine_top
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stronghold/wine_top.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/stronghold/black_lever
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stronghold/black_lever.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
	
textures/stronghold/lever_box
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stronghold/lever_box.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
	
textures/stronghold/wheel
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stronghold/wheel.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
	
textures/stronghold/wheel_side
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stronghold/wheel_side.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/stronghold/tread_wheel
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stronghold/tread_wheel.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/stronghold/cushioned_cover
{
	qer_editorimage textures/props/box_t_m02a.tga
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/props/box_t_m02a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}	

textures/stronghold/tank_clipping
{
qer_editorimage textures/common/clip_metal.tga
    qer_trans 0.3
    surfaceparm nodraw
    surfaceparm nomarks
    surfaceparm trans
    surfaceparm metalsteps
}